Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.instrument
Class OptimizedBehaviourInvocations

    java.lang.Object
      org.jboss.aop.instrument.OptimizedInvocations
          org.jboss.aop.instrument.OptimizedBehaviourInvocations

Direct Known Subclasses:
  OptimizedCallerInvocations, OptimizedConstructionInvocations, OptimizedConstructorInvocations, OptimizedMethodInvocations

public abstract class OptimizedBehaviourInvocations
extends OptimizedInvocations

Comment

Version:
  $Revision$
Author:
  Kabir Khan

Constructor Summary
`OptimizedBehaviourInvocations()`

Method Summary
`static void` | `addArgumentFieldsToInvocation(javassist.CtClass invocation, javassist.CtClass[] params)` Adds fields arg0, arg1 etc.
`static void` | `addGetArguments(javassist.ClassPool pool, javassist.CtClass invocation, javassist.CtClass[] params)`
`static void` | `addGetArguments(javassist.ClassPool pool, javassist.CtClass invocation, javassist.CtClass[] params, boolean hasMarshalledArguments)`
`protected static void` | `addSetArguments(javassist.ClassPool pool, javassist.CtClass invocation, javassist.CtClass[] params)`
`protected static String` | `setArguments(int length)`
`protected static String` | `setArguments(String inv, int length, int offset)`

Methods inherited from class org.jboss.aop.instrument.OptimizedInvocations
`defrostClassIfExists, makeInvocationClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OptimizedBehaviourInvocations

    public OptimizedBehaviourInvocations()

Method Detail

### addSetArguments

    protected static void addSetArguments(javassist.ClassPool pool,
                                          javassist.CtClass invocation,
                                          javassist.CtClass[] params)
                                   throws javassist.NotFoundException,
                                          javassist.CannotCompileException

  Throws:
    `javassist.NotFoundException`
    `javassist.CannotCompileException`

### addGetArguments

    public static void addGetArguments(javassist.ClassPool pool,
                                       javassist.CtClass invocation,
                                       javassist.CtClass[] params)
                                throws javassist.CannotCompileException

  Throws:
    `javassist.CannotCompileException`

### addGetArguments

    public static void addGetArguments(javassist.ClassPool pool,
                                       javassist.CtClass invocation,
                                       javassist.CtClass[] params,
                                       boolean hasMarshalledArguments)
                                throws javassist.CannotCompileException

  Throws:
    `javassist.CannotCompileException`

### setArguments

    protected static String setArguments(int length)

### setArguments

    protected static String setArguments(String inv,
                                         int length,
                                         int offset)

### addArgumentFieldsToInvocation

    public static void addArgumentFieldsToInvocation(javassist.CtClass invocation,
                                                     javassist.CtClass[] params)
                                              throws javassist.CannotCompileException

  Adds fields arg0, arg1 etc. to the invocation class for storing the parameters for a method

  Parameters:
    `invocation` - The invocation we want to add
    `params` - Array of the types of the parameters
  Throws:
    `javassist.CannotCompileException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.